## dokuwiki-plugins-extra 20241201

=== Makefile ===
# Progress Linux: dokuwiki-plugins-extra

# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = dokuwiki-plugins-extra
VERSION := $(shell cat VERSION.txt)

PLUGINS_VERSION := current

plugins-%:
	@cd plugins/$(PLUGINS_VERSION); \
	for PLUGIN in *.mk;  \
	do \
		echo "################################################################################"; \
		echo "$${PLUGIN}: $$(echo ${@} | cut -d- -f2-)"; \
		echo "################################################################################"; \
		$(MAKE) -f $${PLUGIN} $$(echo ${@} | cut -d- -f2-); \
	done

package-test:

package-build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

package-install: package-build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

package-uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

package-clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

all: build

test: plugins-test package-test

build: plugins-build package-build

install: plugins-install package-install

uninstall: plugins-uninstall package-uninstall

clean: plugins-clean package-clean

distclean: clean
	rm -rf $(SOFTWARE)-$(VERSION)

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(SOFTWARE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		PLUGIN=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} $(SOFTWARE)-$(VERSION); \
		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} > ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sha512; \
		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}; \
		mv ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.asc ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sig; \
	done

	rm -rf $(SOFTWARE)-$(VERSION)

upload:
	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream
