=== debian/changelog ===
dokuwiki-plugins-extra (20241201-6) sid; urgency=medium

  * Adding watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:31:03 +0200

dokuwiki-plugins-extra (20241201-5) sid; urgency=medium

  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #1101907).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1101949).
  * Adding initial Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1102088).

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Apr 2025 16:05:40 +0200

dokuwiki-plugins-extra (20241201-4) sid; urgency=medium

  * Adding German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1101039).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Mar 2025 10:32:47 +0100

dokuwiki-plugins-extra (20241201-3) sid; urgency=medium

  * Updating po template.
  * Adding initial Brazilian Portuguese debconf translation from Pablo
    Lucas Silva Santos <pablolucas890@gmail.com> (Closes: #1100951).

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Mar 2025 01:09:48 +0100

dokuwiki-plugins-extra (20241201-2) sid; urgency=medium

  * Correcting copyright to reflect overall license is GPL-3+, thanks to
    Thorsten Alteholz <alteholz@debian.org>.
  * Using codename instead of suitname in changelog.
  * Adding vcs fields.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:51:25 +0100

dokuwiki-plugins-extra (20241201-1) sid; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Dec 2024 21:17:55 +0100
