=== debian/control ===
Source: dokuwiki-plugins-extra
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra
Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra

Package: dokuwiki-plugins-extra
Section: web
Architecture: all
Depends:
 dokuwiki (>= ${dokuwiki:Depends:low}~),
 dokuwiki (<< ${dokuwiki:Depends:high}~),
 ${misc:Depends},
Recommends:
 php-mbstring,
Enhances:
 dokuwiki,
Provides:
 dokuwiki-plugin-addnewpage (= 2024-11-16),
 dokuwiki-plugin-color (= 2022-10-19),
 dokuwiki-plugin-mathjax (= 20211120),
 dokuwiki-plugin-wrap (= 2023-08-13),
Description: Conglomeration package of DokuWiki plugins
 The dokuwiki-plugins-extra contains the following plugins for
 DokuWiki:
 .
   * addnewpage:
     Put 'add new page' forms within pages, with optional namespace selection
 .
   * color:
     Opportunity to write colored text in DokuWiki
 .
   * mathjax:
     Enables MathJax parsing of TeX math expressions in wiki pages
 .
   * wrap:
     Universal plugin which combines the functionality of many other plugins
