=== debian/rules ===
#!/usr/bin/make -f

PLUGINS_VERSION = 55

DOKUWIKI_DEPENDS_LOW = 2024-02-06
DOKUWIKI_DEPENDS_HIGH = 2026

%:
	dh ${@}

execute_after_dh_auto_clean:
	rm -f plugins/current

execute_before_dh_auto_build:
	ln -s $(PLUGINS_VERSION) plugins/current

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/dokuwiki-plugins-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/dokuwiki-plugins-extra/usr/share/doc/*/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vdokuwiki:Depends:low="$(DOKUWIKI_DEPENDS_LOW)" \
		-Vdokuwiki:Depends:high="$(DOKUWIKI_DEPENDS_HIGH)"
