=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/dokuwiki-plugins-extra/dokuwiki-plugins-extra-(.+)\.tar\.lz
