## dokuwiki-plugins-extra 20251207

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Progress Linux: dokuwiki-plugins-extra
+# Debian: dokuwiki-plugins-extra
 
-# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2024-2025 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -103,11 +103,11 @@
 		PLUGIN=$$(echo $${FORMAT} | cut -b-2); \
 		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} $(SOFTWARE)-$(VERSION); \
 		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN} > ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sha512; \
-		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}; \
+		gpg --default-key 0xFBB4F0E80A80222F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}; \
 		mv ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.asc ../$(SOFTWARE)-$(VERSION).tar.$${PLUGIN}.sig; \
 	done
 
 	rm -rf $(SOFTWARE)-$(VERSION)
 
 upload:
-	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream
+	scp ../$(SOFTWARE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(SOFTWARE)
