=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Progress Linux: dokuwiki-plugins-extra
+# Debian: dokuwiki-plugins-extra
 
-# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2024-2025 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
