=== debian/changelog ===
dokuwiki-plugins-extra (20251207-3) sid; urgency=medium

  * Wrap and sorting debian files.
  * Updating URL in watch file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 16:21:27 +0100

dokuwiki-plugins-extra (20251207-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1123637).

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Dec 2025 09:45:02 +0100

dokuwiki-plugins-extra (20251207-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating to standards version 4.7.2.
  * Merging upstream version 20251207.
  * Updating control for upstream version 20251207.
  * Updating copyright for upstream version 20251207.
  * Updating rules for upstream version 20251207.
  * Updating watch file to version 5.
  * Adding upstream sigining-key.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 14:54:51 +0100
