=== debian/control ===
Source: dokuwiki-plugins-extra
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Standards-Version: 4.7.3
Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra
Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki-plugins-extra

Package: dokuwiki-plugins-extra
Section: web
Architecture: all
Depends:
 dokuwiki (<< ${dokuwiki:Depends:high}~),
 dokuwiki (>= ${dokuwiki:Depends:low}~),
 ${misc:Depends},
Recommends:
# dokuwiki-plugin-dw2pdf
 fonts-dejavu,
# dokuwiki-plugin-dw2pdf, dokuwiki-plugin-wrap
 php-mbstring,
Enhances:
 dokuwiki,
Provides:
 dokuwiki-plugin-addnewpage (= 2025-09-21),
 dokuwiki-plugin-color (= 2022-10-19),
 dokuwiki-plugin-dw2pdf (= 2023-11-25),
 dokuwiki-plugin-edittable (= 2023-01-14),
 dokuwiki-plugin-gitbacked (= 2025-11-11),
 dokuwiki-plugin-indexmenu (= 2024-01-05+20251118),
 dokuwiki-plugin-mathjax (= 20211120),
 dokuwiki-plugin-sortablejs (= 2023-04-20),
 dokuwiki-plugin-wrap (= 2023-08-13+20240229),
Description: Conglomeration package of DokuWiki plugins
 The dokuwiki-plugins-extra contains the following plugins for
 DokuWiki:
 .
   * addnewpage:
     Put 'add new page' forms within pages, with optional namespace selection
 .
   * color:
     Opportunity to write colored text in DokuWiki
 .
   * dw2pdf:
     Export DokuWiki content to PDF
 .
   * edittable:
     Provides a visual table editing and inserting interface
 .
   * gitbacked:
     Sync/store DokuWiki pages and media in a git repository
 .
   * indexmenu:
     Show a customizable and sortable index for a namespace
 .
   * mathjax:
     Enables MathJax parsing of TeX math expressions in wiki pages
 .
   * sortablejs:
     JavaScript for sortable tables
 .
   * wrap:
     Universal plugin which combines the functionality of many other plugins
