=== debian/watch ===
Version: 5

Source: https://archive.fastforward.debian.net/archive/upstream/dokuwiki-plugins-extra
